Provides an ongoing promotion for a given session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/promotionconst url = 'https://{apiBaseUrl}/v2/{sessionId}/promotion';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/promotion"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/promotion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/promotion");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/promotion")
.asString();{
"id": "00000000-0000-0000-0000-000000000000",
"hotelId": "10133",
"description": "vfsoihfe",
"isPublic": true,
"isMobile": false,
"isFlashSales": true,
"displayCountdown": true,
"endDate": "2026-06-08T00:00:00Z",
"discount": {
"calculationMode": "None",
"percent": 0,
"nominal": {
"amount": 0,
"currency": "EUR"
}
}
}{
"code": "InvalidHotelId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Promotion
Provides an ongoing promotion
Provides an ongoing promotion for a given session
GET
/
v2
/
{sessionId}
/
promotion
Provides an ongoing promotion for a given session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/promotionconst url = 'https://{apiBaseUrl}/v2/{sessionId}/promotion';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/promotion"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/promotion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/promotion");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/promotion")
.asString();{
"id": "00000000-0000-0000-0000-000000000000",
"hotelId": "10133",
"description": "vfsoihfe",
"isPublic": true,
"isMobile": false,
"isFlashSales": true,
"displayCountdown": true,
"endDate": "2026-06-08T00:00:00Z",
"discount": {
"calculationMode": "None",
"percent": 0,
"nominal": {
"amount": 0,
"currency": "EUR"
}
}
}{
"code": "InvalidHotelId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}When no promotion is active for the session’s hotel, the endpoint answers
204 No Content with no body. Treat it as “no promotion”, not as an error.Headers
The session identifier.
Path Parameters
Was this page helpful?